=== debian/control ===
Source: ros-rolling-rosidl-adapter
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosidl-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, python3-empy, ros-rolling-ament-cmake-core, ros-rolling-rosidl-cli, ros-rolling-ros-workspace
Description: API and scripts to parse .msg/.srv/.action files and convert them to .idl.
